Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


%define gcj_support 0

%define base_name modeler
%define short_name commons-%{base_name}

Name: jakarta-%{short_name}
Epoch: 0
Version: 2.0
Release: alt1_5jpp5
Summary: Jakarta Commons Modeler
Group: Development/Java
License: ASL 2.0
Url: http://jakarta.apache.org/commons/%{base_name}/
Source0: %{short_name}-%{version}-src.tar.gz
Patch0: %{name}.build.properties.default.patch
Patch1: %{name}.build.xml.patch

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
%endif
BuildRequires: ant
BuildRequires: jakarta-commons-beanutils >= 0:1.3
BuildRequires: jakarta-commons-collections >= 0:2.0
BuildRequires: jakarta-commons-digester >= 0:1.2
BuildRequires: jakarta-commons-logging >= 0:1.0
BuildRequires: jaxp_parser_impl
BuildRequires: jaxp_transform_impl
BuildRequires: jmxri
BuildRequires: junit >= 0:3.7
BuildRequires: xml-commons-apis >= 0:1.3
Requires: jakarta-commons-beanutils >= 0:1.3
Requires: jakarta-commons-collections >= 0:2.0
Requires: jakarta-commons-digester >= 0:1.2
Requires: jakarta-commons-logging >= 0:1.0
Requires: jaxp_parser_impl
Requires: jaxp_transform_impl
Requires: jmxri
Requires: xml-commons-apis
%if ! %{gcj_support}
BuildArch: noarch
%endif
Provides: %{short_name} = %{epoch}:%{version}-%{release}
Obsoletes: %{short_name} < %{epoch}:%{version}-%{release}

%description
The Modeler project shall create and maintain a set of Java
classes to provide the facilities described in the preceeding section, plus
unit tests and small examples of using these facilities to instrument
Java classes with Model MBean support.

%package javadoc
Summary: Javadoc for %{name}
Group: Development/Documentation
BuildArch: noarch

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
%patch0
%patch1  
# remove all binary files
find . \( -name "*.jar" -o -name "*.class" -o -name "*.zip" \) \
    | xargs %{__rm} -f


# fix eol encodings
%{__sed} -i 's/\r//' xdocs/downloads.xml
%{__sed} -i 's/\r//' xdocs/cvs-usage.xml
%{__sed} -i 's/\r//' xdocs/issue-tracking.xml
%{__sed} -i 's/\r//' LICENSE.txt
%{__sed} -i 's/\r//' xdocs/navigation.xml
%{__sed} -i 's/\r//' xdocs/style/project.css
%{__sed} -i 's/\r//' xdocs/index.xml
%{__sed} -i 's/\r//' xdocs/building.xml
%{__sed} -i 's/\r//' NOTICE.txt
%{__sed} -i 's/\r//' RELEASE-NOTES.txt

%build
export CLASSPATH=$(build-classpath xml-commons-apis jaxp_parser_impl jaxp_transform_impl jmxri junit commons-beanutils commons-collections commons-digester commons-logging)
export OPT_JAR_LIST=:
%{ant} dist

%install

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a dist/%{short_name}.jar \
    %{buildroot}%{_javadir}/%{name}-%{version}.jar
(
    cd %{buildroot}%{_javadir}
    for jar in *-%{version}*; do
        %{__ln_s} ${jar} `echo $jar | %{__sed} "s|jakarta-||g"`
    done
)
(
    cd %{buildroot}%{_javadir}
    for jar in *-%{version}*; do
        %{__ln_s} ${jar} `echo $jar | %__sed "s|-%{version}||g"`
    done
)

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a dist/docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(
    cd %{buildroot}%{_javadocdir}
    %{__ln_s} %{name}-%{version} %{name}
)

%if %{gcj_support}
    %{_bindir}/aot-compile-rpm
%endif
%if %{gcj_support}

%post
if [ -x %{_bindir}/rebuild-gcj-db ]; then
    %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]; then
    %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt xdocs
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Sun Feb 21 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0-alt1_5jpp5
- new jpackage release

* Fri Jun 08 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.0-alt1_4jpp1.7
- converted from JPackage by jppimport script

* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2-alt0.1
- rpm-build-java macroces
- version from cvs 20050321

* Sun Sep 12 2004 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Thu Oct 09 2003 Henri Gomez <hgomez at users.sourceforge.net> 0:1.1-2jpp
- fix junit typo (reported by Kaj J. Niemi)

* Wed Oct 08 2003 Henri Gomez <hgomez at users.sourceforge.net> 0:1.1-1jpp
- modeler 1.1

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-6jpp
- for jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-5jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-4jpp
- fix missing packager tag
- fix new mx4j jar name (mx4j-jmx.jar)

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- updated requires for jaxp_parser_impl and xml-commons-apis

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0
- added short names in %_javadir, as does jakarta developpers
- first jPackage release
